Package writer2latex.office

# Class PageLayout

java.lang.Object
writer2latex.office.OfficeStyle
writer2latex.office.StyleWithProperties
writer2latex.office.PageLayout

public class PageLayout extends StyleWithProperties

Class representing a page master in OOo Writer. This is represented like other styles + a separate style for header and footer

## Field Summary

### Fields inherited from class writer2latex.office.OfficeStyle

`bAutomatic, family, sName`

## Constructor Summary

Constructors
Constructor
Description
`PageLayout()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getFooterProperty(String sPropName)`
`String`
`getHeaderProperty(String sPropName)`
`String`
`getPageUsage()`
`boolean`
`hasFooterStyle()`
`boolean`
`hasHeaderStyle()`
`void`
`loadStyleFromDOM(Node node)`

### Methods inherited from class writer2latex.office.StyleWithProperties

`getAbsoluteCellProperty, getAbsoluteColumnProperty, getAbsoluteGraphicProperty, getAbsoluteLength, getAbsoluteParProperty, getAbsoluteProperty, getAbsoluteProperty, getAbsoluteRowProperty, getAbsoluteSectionProperty, getAbsoluteTableProperty, getAbsoluteTextProperty, getBackgroundImageProperty, getCellProperty, getColCount, getColumnProperty, getFootnoteProperty, getGraphicProperty, getParProperty, getProperty, getProperty, getProperty, getRowProperty, getSectionProperty, getTableProperty, getTextProperty, hasFootnoteSep, isEmpty`

### Methods inherited from class writer2latex.office.OfficeStyle

`getDisplayName, getFamily, getListStyleName, getMasterPageName, getName, getParentName, getParentStyle, isAutomatic`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PageLayout

public PageLayout()

## Method Details

### getPageUsage

public String getPageUsage()

### hasHeaderStyle

public boolean hasHeaderStyle()

### getHeaderProperty

public String getHeaderProperty(String sPropName)

### hasFooterStyle

public boolean hasFooterStyle()

### getFooterProperty

public String getFooterProperty(String sPropName)

### loadStyleFromDOM

public void loadStyleFromDOM(Node node)

Overrides:
  `loadStyleFromDOM` in class `StyleWithProperties`